#ifndef __DIALOG_H
#define __DIALOG_H

extern u16 _menubmp[];
extern u16 _splashbmp[];
extern u16 *bBitmap;
extern u8 GREY32[32];

void dlg_frame(const char *msg0, const char *msg1);
int MessageBox(const char *msg, int type);
void PostProgressMessage(const char *msg, u16 curr, u16 max);
int VKB_InputText(char *Banner, char *outbuffer, int len);
int VKB_Overlay(int px, int py, int *Vx, int *Vy, int *Vs, int *Vd, int Vc, int Va);
int MsgPrintf(int type, char *fmt, ...);

#define MsgPs0(x,a) MsgPrintf(x,a)
#define MsgPn1(x,a,b,c) MsgPrintf(x,a "%i" c, b)
#define MsgPs1(x,a,b,c) MsgPrintf(x,a "%s" c, b)
#define MsgPn2(x,a,b,c,d,e) MsgPrintf(x,a "%i" c "%i" e, b, d)
#define MsgPs2(x,a,b,c,d,e) MsgPrintf(x,a "%s" c "%i" e, b, d)

#endif
